package com.zt.plat.module.base.convert.doctemplate;

import com.zt.plat.framework.common.pojo.PageResult;
import com.zt.plat.module.base.controller.admin.doctemplate.vo.DocTemplateInstanceRespVO;
import com.zt.plat.module.base.controller.admin.doctemplate.vo.DocTemplateInstanceSaveReqVO;
import com.zt.plat.module.base.dal.dataobject.doctemplate.DocTemplateInstanceDO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 模板实例 Convert
 *
 * @author 系统生成
 */
@Mapper
public interface DocTemplateInstanceConvert {

    DocTemplateInstanceConvert INSTANCE = Mappers.getMapper(DocTemplateInstanceConvert.class);

    DocTemplateInstanceDO convert(DocTemplateInstanceSaveReqVO bean);

    DocTemplateInstanceRespVO convert(DocTemplateInstanceDO bean);

    List<DocTemplateInstanceRespVO> convertList(List<DocTemplateInstanceDO> list);

    PageResult<DocTemplateInstanceRespVO> convertPage(PageResult<DocTemplateInstanceDO> page);

}
